Pita-Tracking-Squirrel.JPG=Tracking a squirrel
Pita-23Wks.JPG=Pita at 23 weeks
PitasBirdwatchPlace.jpg=This is the bird-watch place
pita_watching_nascar.jpg=Watching the Nascar race
pita-sleeping 003.jpg=Sleeping on my legs on the La-Z-Boy
Pita_Box_20060609_5.JPG=Cool! A shoe box!
Pita 002.jpg=Pita and the biggest food bowl EVER
IMG00388.JPG=Pita likes cottage cheese
donna_20061103_24.JPG=On the chair. Rare pic with her eyes open!
Pita_20060625_1.JPG=Pita's new collar!
Pita 003.jpg=Pita and the biggest food bowl EVER
Pita.jpg=Sitting where the treats are
pita-sleeping 001.jpg=Sleeping on my legs on the La-Z-Boy
pita_working_in_the_garage.jpg=Working(?) in the Garage
house 097.jpg=Pita likes to drink from the tap
MVC-003F.JPG=She's a girl. She really likes shoes
pita_driving 001.jpg=Driving
renovation5 005.jpg=Helping with the floor renovations (fall 2003)
Pita Oct 2005 002.jpg=Pita works so hard!
Pita-001.jpg=Pita at 13 weeks when I first got her
Pita Oct 2005 001.jpg=Pita on the truck
pita-sleeping 004.jpg=Sleeping on my legs on the La-Z-Boy
Pita-Chair.jpg=On the kitchen chair (presumably waiting for dinner)
Pita_sofa_20060115_9_2.JPG=A new place to rest!
computer_cat.jpg=Computer Kitty
pita_resting_from_nascar_race.jpg=Resting from a grueling Nascar race
PitaLa-Z-Boy1.jpg=TV viewing position
Pita_sofa_20060115_9_1.JPG=A new place to rest!
Pita_Box_20060609_4.JPG=Cool! A shoe box!
Pita 001.jpg=Pita and the biggest food bowl EVER
comfycat.jpg=Gettin' comfy on the La-Z-Boy
Pita_sofa_20060115_9.JPG=A new place to rest!
pita_driving 002.jpg=Driving
Pita_20060625_2.JPG=Pita's new collar!
Pita-Watching-Squirrel.JPG=Watching a squirrel
pita_20061126_1.JPG=Computer Kitty
PitaLa-Z-Boy2.jpg=TV viewing position
IMG00389.JPG=Pita likes cottage cheese
house 098.jpg=Pita likes to drink from the tap
pita-sleeping 002.jpg=Sleeping on my legs on the La-Z-Boy
Pita_Box_20060609_3.JPG=Cool! A shoe box!
MVC-002F.JPG=Pita loves the (empty) tub
Pita Condo.jpg=In the Pita Condo
IMG00390.JPG=Pita likes cottage cheese
